| OpenMS 2.5.0

InspectAdapter

Identifies peptides in MS/MS spectra via Inspect.

pot. predecessor tools | InspectAdapter | pot. successor tools
any signal-/preprocessing tool (in mzML format) | IDFilter or any protein/peptide processing tool

Experimental classes:
  This tool has not been tested thoroughly and might behave not as expected!

This wrapper application serves for getting peptide peptide_identifications for MS/MS spectra. The wrapper can be executed in three different modes:

1. The whole process of ProteinIdentification via Inspect is executed. Inputfile is an mz file containing the MS/MS spectra (Supported spectrum file formats are .mzXML, .mzData) for which the identifications are to be found and one ore more databases in either trie, FASTA or Swissprot format containing the possible proteins. The given databases are converted and merged into one trie database. This is done because Inspect does the conversion anyway (though with a bug) and may actually not use more than two databases (one of them in trie format). Additionally you thus can reuse the database without having Inspect done the conversion every time. The drawback is, of course, that you need the same amount of space for the trie database as well, which can, in case of large and/or many databases, be a problem. The results are written as a idXML output file. This mode is selected by default.

2. Only the first part of the ProteinIdentification process is performed. This means that an Inspect input file is generated and the given databases are converted and merged into one trie database. This file can be used directly with Inspect whereas the created database and the spectrum file(s) have to remain at the given positions. Calling an Inspect process should look like the following:

   ./inspect -i inputfilename -o outputfilename

   Consult your Inspect reference manual for further details.

   This mode is selected by the -inspect_in option in the command line.

3. Only the second part of the ProteinIdentification process is performed. This means that the output of an Inspect run is analyzed and the result written to an idXML file.

   This mode is selected by the -inspect_out option in the command line.

Note
  Currently mzIdentML (mzid) is not directly supported as an input/output format of this tool. Convert mzid files to/from idXML using IDFileConverter if necessary.

The command line parameters of this tool are:

    InspectAdapter -- Annotates MS/MS spectra using Inspect.

    Full documentation: http://www.openms.de/documentation/TOPP_InspectAdapter.html

    Version: 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Sep 10 2020, 12:20:39, Revision: GIT-NOTFOUND

    To cite OpenMS:

      Rost HL, Sachsenberg T, Aiche S, Bielow C et al.. OpenMS: a flexible open-source software platform for mass spectrometry data analysis. Nat Meth. 2016; 13, 9: 741-748. doi:10.1038/nmeth.3959.

    Usage:

      InspectAdapter <options>

    Options (mandatory options marked with '*'):

      -in <file>*                      Input file in mzXML or mzData format.

                                       Note: In mode 'inspect_out' an Inspect results file is read. (valid forma

                                       ts: 'mzXML', 'mzData')

      -out <file>*                     Output file in idXML format.

                                       Note: In mode 'inspect_in' an Inspect input file is written. (valid forma

                                       ts: 'idXML')

      -inspect_in                      If this flag is set the InspectAdapter will read in mzXML,

                                       write an Inspect input file and generate a trie database

      -inspect_out                     If this flag is set the InspectAdapter will read in a Inspect results file

                                       and write idXML

      -inspect_directory <dir>         The directory in which Inspect is located

      -temp_data_directory <dir>       A directory in which some temporary files can be stored

      -dbs <file>                      Name(s) of database(s) to search in (FASTA and SwissProt supported)

      -trie_dbs <file>                 Name(s) of databases(s) to search in (trie-format)

      -new_db <file>                   Name of the merged trie database

      -instrument <i>                  The instrument that was used to measure the spectra

                                       (If set to QTOF, uses a QTOF-derived fragmentation model,

                                       and does not attempt to correct the parent mass.) (valid: 'ESI-ION-TRAP',

                                       'QTOF', 'FT-Hybrid')

      -precursor_mass_tolerance <tol>  The precursor mass tolerance (default: '2.0')

      -peak_mass_tolerance <tol>       The peak mass tolerance (default: '1.0')

      -list_modifications              Show a list of the available modifications

      -modifications <mods>            The colon-separated modifications; may be

                                       <name>,<type>, e.g.: Deamidation,opt or

                                       <composition>,<residues>,<type>,<name>, e.g.: H2C2O,KCS,opt,Acetyl or

                                       <mass>,<residues>,<type>,<name>, e.g.: 42.0367,KCS,opt,Acetyl or

                                       Valid values for type are "fix" and "opt" (default)

                                       If you want terminal PTMs, write "cterm" or "nterm" instead of residues

      -use_monoisotopic_mod_mass       Use monoisotopic masses for the modifications

      -modifications_xml_file <file>   Name of an XML file with the modifications

      -cleavage <enz>                  The enzyme used for digestion (default: 'Trypsin')

      -inspect_output <file>           Name for the output file of Inspect (may only be used in a full run)

      -inspect_input <file>            Name for the input file of Inspect (may only be used in a full run)

      -multicharge                     Attempt to guess the precursor charge and mass,

                                       and consider multiple charge states if feasible

      -max_modifications_pp <num>      Number of PTMs permitted in a single peptide. (default: '-1')

      -tag_count <num>                 Number of tags to generate (default: '-1')

      -no_tmp_dbs                      No temporary databases are used

      -p_value <prob>                  Annotations with inferior p-value are ignored (default: '1.0')

    Options for blind search:

      -blind:blind                     Perform a blind search (allowing arbitrary modification masses),

                                       is preceeded by a normal search to gain a smaller database.

                                       (in full mode only)

      -blind:blind_only                Like blind but no prior search is performed to reduce the database size

      -blind:p_value_blind <prob>      Used for generating the minimized database (default: '1.0')

      -blind:snd_db <file>             Name of the minimized trie database generated when using blind mode.

      -blind:max_ptm_size <num>        Maximum modification size (in Da) to consider (default: '250.0')

      -contact_name <name>             Name of the contact (default: 'unknown')

      -contact_institution <name>      Name of the contact institution (default: 'unknown')

      -contact_info <info>             Some information about the contact (default: 'unknown')

    Common TOPP options:

      -ini <file>                      Use the given TOPP INI file

      -threads <n>                     Sets the number of threads allowed to be used by the TOPP tool (default:

                                       '1')

      -write_ini <file>                Writes the default configuration file

      --help                           Shows options

      --helphelp                       Shows all options (including advanced)

INI file documentation of this tool:

Legend:
required parameter
advanced parameter
+InspectAdapter Annotates MS/MS spectra using Inspect.
version 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Version of the tool that generated this parameters file.
++1 Instance '1' section for 'InspectAdapter'
in input file in mzXML or mzData format.
Note: In mode 'inspect_out' an Inspect results file is read.input file*.mzXML,*.mzData
out output file in idXML format.
Note: In mode 'inspect_in' an Inspect input file is written.output file*.idXML
inspect_in false if this flag is set the InspectAdapter will read in mzXML,
write an Inspect input file and generate a trie database true,false
inspect_out false if this flag is set the InspectAdapter will read in a Inspect results file
and write idXML true,false
inspect_directory the directory in which Inspect is located
temp_data_directory a directory in which some temporary files can be stored
dbs name(s) of database(s) to search in (FASTA and SwissProt supported)
trie_dbs name(s) of databases(s) to search in (trie-format)
new_db name of the merged trie database
instrument the instrument that was used to measure the spectra
(If set to QTOF, uses a QTOF-derived fragmentation model,
and does not attempt to correct the parent mass.)ESI-ION-TRAP,QTOF,FT-Hybrid
precursor_mass_tolerance 2.0 the precursor mass tolerance
peak_mass_tolerance 1.0 the peak mass tolerance
list_modifications false show a list of the available modifications true,false
modifications the colon-separated modifications; may be
,, e.g.: Deamidation,opt or
,,,, e.g.: H2C2O,KCS,opt,Acetyl or
,,,, e.g.: 42.0367,KCS,opt,Acetyl or
Valid values for type are "fix" and "opt" (default)
If you want terminal PTMs, write "cterm" or "nterm" instead of residues
use_monoisotopic_mod_mass false use monoisotopic masses for the modifications true,false
modifications_xml_file name of an XML file with the modifications
cleavage Trypsin the enzyme used for digestion
inspect_output name for the output file of Inspect (may only be used in a full run)output file
inspect_input name for the input file of Inspect (may only be used in a full run)input file
multicharge false attempt to guess the precursor charge and mass,
and consider multiple charge states if feasible true,false
max_modifications_pp-1 number of PTMs permitted in a single peptide.
tag_count-1 number of tags to generate
no_tmp_dbs false no temporary databases are used true,false
p_value 1.0 annotations with inferior p-value are ignored
contact_name unknown Name of the contact
contact_institution unknown Name of the contact institution
contact_info unknown Some information about the contact
log Name of log file (created only when specified)
debug 0 Sets the debug level
threads 1 Sets the number of threads allowed to be used by the TOPP tool
no_progress false Disables progress logging to command line true,false
force false Overwrite tool specific checks.true,false
test false Enables the test mode (needed for internal use only)true,false
+++blind Options for blind search
blind false perform a blind search (allowing arbitrary modification masses),
is preceeded by a normal search to gain a smaller database.
(in full mode only)true,false
blind_only false like blind but no prior search is performed to reduce the database size true,false
p_value_blind 1.0 used for generating the minimized database
snd_db name of the minimized trie database generated when using blind mode.
max_ptm_size 250.0 maximum modification size (in Da) to consider

Todo:
  rewrite the Adapter! It uses old formats and coding style, e.g. mzData input allowed, no input restrictions, manual (unneccessary file checking of input files) etc... + the interface is not convenient, etc ...